<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: view.php
| Author: Christian Damsgaard Jrgensen (PMM)
| Co-Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."comments_include.php";
require_once INCLUDES."ratings_include.php";

include INFUSIONS."advanced_custom_pages/infusion_db.php";

if (file_exists(INFUSIONS."advanced_custom_pages/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advanced_custom_pages/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."advanced_custom_pages/locale/English.php";
}

if (!isset($_GET['page_id']) || !isnum($_GET['page_id'])) { redirect("../../index.php"); }
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

function get_user($user_id) {
	$user_info = dbarray(dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_id='".$user_id."'"));
	$link = "<a href='".BASEDIR."profile.php?lookup=".$user_info['user_id']."'>".$user_info['user_name']."</a>";
	return $link;
}

$cp_result = dbquery("SELECT * FROM ".DB_ADVANCED_CUSTOM_PAGES." WHERE page_id='".$_GET['page_id']."'");
if (dbrows($cp_result)) {
	$cp_data = dbarray($cp_result);
	add_to_title($locale['global_200'].$cp_data['page_title']);
	opentable($cp_data['page_title']);
	if (checkgroup($cp_data['page_access'])) {
		if (($cp_data['page_start'] == 0 || $cp_data['page_start'] <= time()) && ($cp_data['page_end'] == 0 || $cp_data['page_end'] >= time())) {
			ob_start();
			eval("?>".stripslashes($cp_data['page_content'])."<?php ");
			$custompage = ob_get_contents();
			ob_end_clean();
			if ($settings['tinymce_enabled']) {
				$custompage = explode("<!-- pagebreak -->", $custompage);
				$pagecount = count($custompage);
				echo "<div class='main-body floatfix'>".$custompage[$_GET['rowstart']]."</div>\n";
				if ($pagecount > 1) {
					echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 1, $pagecount, 3, FUSION_SELF."?page_id=".$_GET['page_id']."&amp;")."\n</div>\n";
				}
			} else {
				echo "<div class='main-body floatfix'>".$custompage."</div>\n";
			}
			echo "<div class='news-footer'>\n";
			$page_footer = array();
			if ($cp_data['page_show_writer']) $page_footer[] = $locale['acp504'].get_user($cp_data['page_writer'])." ".$locale['acp506'].showdate("shortdate", $cp_data['page_datestamp']);
			if ($cp_data['page_edituser'] && $cp_data['page_edittime'] && $cp_data['page_show_revised']) $page_footer[] = $locale['acp505'].get_user($cp_data['page_edituser'])." ".$locale['acp506'].showdate("shortdate", $cp_data['page_edittime']);
			echo implode("<br />\n", $page_footer);
			echo "</div>\n";
		} else {
			echo "<div style='text-align:center'><br />\n".$locale['acp501']."\n<br /><br /></div>\n";
		}
	} else {
		echo "<div style='text-align:center'><br />\n".$locale['acp500']."\n<br /><br /></div>\n";
	}
} else {
	add_to_title($locale['global_200'].$locale['acp502']);
	echo "<div class='capmain'>".$locale['acp502']."</div>\n";
	echo "<div style='text-align:center'><br />\n".$locale['acp503']."\n<br /><br /></div>\n";
}
closetable();

if (dbrows($cp_result) && checkgroup($cp_data['page_access'])) {
	if ($cp_data['page_allow_comments']) { showcomments("AC", DB_ADVANCED_CUSTOM_PAGES, "page_id", $_GET['page_id'], FUSION_SELF."?page_id=".$_GET['page_id']); }
	if ($cp_data['page_allow_ratings']) { showratings("AC", $_GET['page_id'], FUSION_SELF."?page_id=".$_GET['page_id']); }
}

require_once THEMES."templates/footer.php";
?>